---
displayed_sidebar: homepage
---

import ParameterTypes from "@site/src/components/ParameterTypes"

# AdminPostDiscountsDiscountConditionsConditionBatchReq

## Properties

<ParameterTypes parameters={[
  {
    "name": "resources",
    "type": "`object`[]",
    "description": "The resources to be added to the discount condition",
    "optional": false,
    "defaultValue": "",
    "expandable": false,
    "children": [
      {
        "name": "id",
        "type": "`string`",
        "description": "The ID of the item",
        "optional": false,
        "defaultValue": "",
        "expandable": false,
        "children": []
      }
    ]
  }
]} expandUrl="https://docs.medusajs.com/development/entities/repositories#retrieving-a-list-of-records"/>
